<style type="text/css">
    .navbar.navbar-default {
        border: none;
    }
    .author_box_inside span {
        width: auto;
    }

</style>
<style ng-if="article.type!=='Photo'">
    .container-fluid{ margin:0; padding: 0; }
</style>

<!-- PAGE SHELL -->

<div ng-if="!ui.isLoaded" style="position:absolute;top:0;bottom:0;left: 0;width:100%;right: 0;margin-top:155px">
    <div style="min-height:50px;padding:13px">
        <div style="min-height:23px;background:#ddd;width:40%"></div>
    </div>
    <div style="min-height:90px;background:#ddd;margin:12px;width:95%"></div>
    <div style="min-height:225px;background:#999;box-shadow:4px 4px 10px -2px #aaa"></div>
    <div style="min-height:100px;background:#fff;padding:8px;box-shadow:4px 4px 10px -2px #aaa">

        <div style="min-height:35px;background:#ddd;margin:12px;width:45%"></div>
    </div>
</div>
<div class="alignCenter" style="height:100px;" ng-init="_random()">
    <!-- <dfp-ad force-safe-frame ad-unit="/97172535/SECTION3_728X90">
        <dfp-size width="320" height="50"></dfp-size>
    </dfp-ad> -->
    <google-ads id='ads_article_ATF_{{_r}}' type="AP_320x100_ATF"></google-ads>
</div>

<!-- -------------------------------------------------------------------------------------------------- -->
<!-- ----------------------------------------- ARTICLES ONLY BLOCK BELOW ------------------------------ -->
<!-- -------------------------------------------------------------------------------------------------- -->

<!-- SLICK START-->
<!-- <slick settings="articleSlickConfig" class="articleSlider" ng-if="items.articles.length&&article.type!=='Photo'&&article.type!=='Contest'&&article.type!=='Poll'"> -->
<!-- <div ng-repeat="article in items.articles track by $index" ng-if='items.articles.length' itemscope itemtype="http://schema.org/NewsArticle"> -->

<div ng-if="article.type!=='Photo'&&article.type!=='Contest'&&article.type!=='Poll'">
    <div itemscope itemtype="http://schema.org/NewsArticle">

        <div class="row inside_article relativeDiv">
            <!-- CONTENT TO LOAD WHEN ARTICLE LOADS-->


            <div class="article_outer">
                <!--- VIDEO ARTICLE -->
                <div ng-if="article.type=='Video'" class="video_landing">
                    <div class="new_header" style="border-top-color:{{article.mainSection.color}};">
                        <div class="article_section">
                            <span class="article_mainsection">
                                <b style="color:{{article.mainSection.color}}">
                                    <a href="{{localeURL}}/{{article.mainSection.parentSlug}}">{{article.mainSection.parentSection}}</a>
                                </b>
                                {{article.mainSection.title}}
                            </span>
                        </div>
                    </div>
                    <h2 ng-if="$index==0" class="vtitle" role="button" data-toggle="collapse" href="#collapseVideo" aria-expanded="false" aria-controls="collapseVideo"
                        itemprop="name" style="margin-top:20px;">{{article.title}}</h2>
                    <h2 ng-if="$index!=0" class="vtitle" role="button" data-toggle="collapse" href="#collapseVideo" aria-expanded="false" aria-controls="collapseVideo"
                        style="margin-top:20px;">{{article.title}}</h2>
                        <div class="author_box_inside">
                            <p ng-if="$index==0" itemprop="author">{{article.authorName}}</p>
                            <p ng-if="$index!=0" itemprop="author">{{article.authorName}}</p>
                            <span>
                                <i class="fa fa-clock-o" aria-hidden="true"></i>
                                <b>{{article.publishedAt | timeago}}</b>
                            </span>
                            <span>
                                <i class="fa fa-eye" aria-hidden="true"></i>
                                <b>{{article.views | kViewers}}</b> views</span>
                        </div>
                    <!--					<video-player class="video_mobile" ng-if="article.media.length" href="{{article.media[0].flashUrl}}" thumbnail="{{article.thumbnail}}"></video-player>-->
                    <iframe style="width:100%;height:260px" ng-src="{{article.playerURL}}" ng-if="article.playerURL!=''"></iframe>

                    <div class="collapse" id="collapseVideo">

                        <p>{{article.shortBody}}</p>
                       
                
                        <div ng-if="$index==0" itemprop="articleBody" class="articleBody" ng-bind-html="article.body"> </div>
                        <div ng-if="$index!=0" ng-bind-html="article.body" class="articleBody"> </div>
                        <!-- <dfp-ad class="matchedAdHeight" force-safe-frame ad-unit="/97172535/MOBILE_ARICLE_2_320X250">
                            <dfp-size width="300" height="250"></dfp-size>
                        </dfp-ad> -->
                        <!-- <google-ads ng-init="_ad_id=getTime()" class="matchedAdHeight" id='ads_post_article_{{article._id}}_{{_ad_id}}' type="Ad2_3_MBTF_300X250"
                            ng-if="article.loaded"></google-ads> -->
                    <google-ads class="matchedAdHeight" id='ads_BTF_article_{{_r}}' type="AP_300x250_BTF"
                            ng-if="article.loaded"></google-ads>
                            
                    </div>
                </div>
                <!--- VIDEO ARTICLE ENDS-->
                <!--- MAIN ARTICLE -->
                <div class="" ng-if="article.type=='Article'">
                    <div class="new_header" style="border-top-color:{{article.mainSection.color}};">
                        <div class="article_section">
                            <span class="article_mainsection">
                                <a href="{{localeURL}}/{{article.mainSection.parentSlug}}">
                                    <b style="color:{{article.mainSection.color}}">{{article.mainSection.parentSection}}</b>
                                </a>

                                <i class="fa fa-angle-right"></i>
                                <a href="{{localeURL}}/{{article.mainSection.parentSlug}}/{{article.mainSection.slug}}">{{article.mainSection.title}}</a>
                            </span>
                        </div>
                    </div>

                    <h2 ng-cloak ng-if="$index==0" itemprop="name" style="margin-top:30px;">{{article.title}}</h2>
                    <h2 ng-cloak ng-if="$index!=0" itemprop="name" style="margin-top:30px;">{{article.title}}</h2>
                    <div class="author_box_inside">
                        <p ng-if="$index==0" style="color:{{article.mainSection.color}}" ng-if="article.authorName" itemprop="author">{{article.authorName}}</p>
                        <p ng-if="$index!=0" style="color:{{article.mainSection.color}}" ng-if="article.authorName">{{article.authorName}}</p>

                        <span>
                            <i class="fa fa-clock-o" aria-hidden="true"></i>
                            <b ng-if="article.publishedAt">{{article.publishedAt | timeago}}</b>
                        </span>
                        <span>
                            <i class="fa fa-eye" aria-hidden="true"></i>
                            <b ng-if="article.views">{{article.views | kViewers}} views</b>
                        </span>
                    </div>
                    <img ng-if="$index==0" itemprop="image" class="inside_article_hero" alt="{{article.imageAlt}}" title="{{article.imageTitleMeta}}"
                        lazy-img='{{article.thumbnail}}' ng-src="https://s3-ap-southeast-1.amazonaws.com/static.spotboye.com/placeholder_mobile.jpg"
                        style="border:none;margin-bottom:15px;" />
                    <img ng-if="$index!=0" class="inside_article_hero" alt="{{article.imageAlt}}" title="{{article.imageTitleMeta}}" lazy-img='{{article.thumbnail}}'
                        ng-src="https://s3-ap-southeast-1.amazonaws.com/static.spotboye.com/placeholder_mobile.jpg" style="border:none;margin-bottom:15px;"
                    />

                    <p ng-cloak>{{article.shortBody}}</p>

                    <div class="clearfix"></div>


                    <!--
                  <div class="speech pull-left" style="width:100%;" ng-init="showPlayer=false">
                                <span class="speech_init" ng-hide="showPlayer" ng-click="showPlayer=true"><i class="fa fa-volume-up" aria-hidden="true"></i>
								LISTEN BRIEF
							</span>
                                <div ng-show="showPlayer">
                                    <audio controls>
											<source src="{{next_article.speechkit}}" type="audio/mpeg">
											Your browser does not support the audio element.
									</audio>
                                </div>
                            </div>
-->



                    <div class="clearfix"></div>
                    <div ng-if="$index!=0" ng-bind-html="article.body" class="mg-top-md articleBody"></div>
                    <div ng-if="$index==0" itemprop="articleBody" ng-bind-html="article.body" class="mg-top-md articleBody"></div>

                    <!-- <dfp-ad class="matchedAdHeight" force-safe-frame ad-unit="/97172535/MOBILE_ARICLE_2_320X250">
                        <dfp-size width="300" height="250"></dfp-size>
                    </dfp-ad> -->
                    <!-- <google-ads ng-init="_ad_id=getTime()" ng-if="article.loaded" class="matchedAdHeight " id='ads_post_article_{{article._id}}_{{_ad_id}}'
                        type="Ad2_3_MBTF_300X250"></google-ads> -->
                        <google-ads ng-if="article.loaded" class="matchedAdHeight " id='ads_BTF_2_article_{{_r}}' type="AP_300x250_BTF"></google-ads>

                </div>
                <div class="show_all_accordian" ng-if="article.celebritytags.length" style="float: left;margin-bottom: 20px;">
                    <h3 class="show_all_accordian_heading">Celebrities</h3>
                    <div class="show_all_accordian_collapse celebrity_panel">
                        <ul>
                            <li ng-repeat="item in article.celebritytags">
                                <a href="{{localeURL}}/celebrity/{{item.name|slug}}">
                                    <div class="celeb_profile img-circle" lazy-img='{{item.thumbnail}}' ng-style="{'background-image':'url(https://s3-ap-southeast-1.amazonaws.com/static.spotboye.com/placeholder_mobile.jpg)'}">
                                    </div>
                                    <span>{{item.name}}</span>
                                </a>
                            </li>
                        </ul>
                    </div>
                    <div ng-if="article.celebritytags.length>3" ng-init="showExpand=true" onclick="expandShowAll(this);">
                        <div class="show_all_expand" ng-show="showExpand">
                            <span>MORE</span>
                        </div>
                        <div class="show_all_expand" ng-show="!showExpand">
                            <span>LESS</span>
                        </div>
                    </div>
                </div>
                <div class="show_all_accordian" ng-if="article.tags.length>0">
                    <h3 class="show_all_accordian_heading">Tags</h3>
                    <div class="show_all_accordian_collapse tags_panel">
                        <ul>
                            <li ng-repeat="tag in article.tags">
                                <a href="{{localeURL}}/search/{{tag}}">{{tag}}</a>
                            </li>
                        </ul>
                    </div>
                    <div ng-if="article.tags.length>3" ng-init="showExpand=true" onclick="expandShowAll(this);" ng-click="showExpand=!showExpand">
                        <div class="show_all_expand" ng-show="showExpand">
                            <span>MORE</span>
                        </div>
                        <div class="show_all_expand" ng-show="!showExpand">
                            <span>LESS</span>
                        </div>
                    </div>
                </div>



            </div>
            <div class="alignCenter" style="height:50px;">
                <!-- <dfp-ad class="matchedAdHeight" force-safe-frame ad-unit="/97172535/SECTION3_728X90">
                    <dfp-size width="320" height="50"></dfp-size>
                </dfp-ad> -->

               
            </div>
            <!--COLUMBIA ADS-->
                   <iframe class="game_widget" style="height:500px;" id="puzzle" src="/celebs/index.html"></iframe>
           <!-- <div class="row related_news sp_story">
             <h3><img src="https://78.media.tumblr.com/563bce48bcd619954bd199da82e83b27/tumblr_nsua97xZ801tha1vgo1_250.gif" style="width:50px;display:inline-block;margin-top:-5px;" /> Play Bollywood Jigsaw Puzzle ></h3>
            <div class="spotboye_stories" ng-init="_random()">
                    <apester uid="apester-{{_r}}"></apester> 
                         

               
            </div>
            </div>-->

            <div ng-init="_random()">
                    <columbia-ad uid="columbia_article_{{_r}}" ></columbia-ad>
              </div> 
            <div class="row related_news" ng-if="article.related.length">
            
                <h3>Related News</h3>
                <articles content="article.related" list-type="true"> </articles>
     
           
            </div>

            <!-- <dfp-ad class="matchedAdHeight" force-safe-frame ad-unit="/97172535/MOBILE_ARICLE_2_320X250">
                <dfp-size width="300" height="250"></dfp-size>
            </dfp-ad> -->
            <!-- <google-ads ng-init="_ad_id=getTime()" class="matchedAdHeight" id='ads_post_article_{{article._id}}_{{_ad_id}}' type="Ad2_3_MBTF_300X250"></google-ads> -->
            <google-ads class="matchedAdHeight" id='abv_trending_BTF2_{{_r}}' type="AP_300x250_BTF2"></google-ads>

            <div class="row related_news" ng-if="article.trending.length">
                <h3>Trending on Spotboye</h3>
                <articles content="article.trending" list-type="false"> </articles>
            </div>
        </div>






        <div ng-hide="article.loaded" style="width:100%;right: 0;">
            <div style="min-height:50px;padding:13px;">
                <div style="min-height:23px;background:#ddd;width:40%"></div>
            </div>
            <div style="min-height:90px;background:#ddd;margin:24px 12px;width:95%"></div>
            <div style="min-height:225px;background:#999;box-shadow:4px 4px 10px -2px #aaa"></div>
            <div style="min-height:100px;background:#fff;padding:8px;box-shadow:4px 4px 10px -2px #aaa">

                <div style="min-height:35px;background:#ddd;margin:12px;width:45%"></div>
            </div>
        </div>

    </div>

</div>
<!--SLICK END -->

<!-- -------------------------------------------------------------------------------------------------- -->
<!-- ----------------------------------------- PHOTO ONLY ARTICLE BELOW ------------------------------- -->
<!-- -------------------------------------------------------------------------------------------------- -->


<div ng-if="article.type=='Photo'" itemscope itemtype="http://schema.org/NewsArticle">
    <div class="row inside_article">
        <!-- CONTENT TO LOAD WHEN ARTICLE LOADS-->
        <div ng-if="ui.isLoaded">

            <div class="article_outer">

                <div class="photo_outer clearfix" style="margin-top:0;" ng-if="article.type=='Photo'&&article.media.length>0">
                    <div class="photo_inner">
                        <h4 ng-if="$index==0">
                            <span itemprop="name">{{article.title}}</span>
                            <br />
                            <small itemprop="author">{{article.authorName}}</small>
                        </h4>
                        <h4 ng-if="$index!=0">{{article.title}}
                            <br />
                            <small>{{article.authorName}}</small>
                        </h4>
                        <ul>
                            <li class="" ng-repeat="photos in article.media" style="margin-bottom: 20px;border-bottom: 1px solid;">
                                <img src="https://s3-ap-southeast-1.amazonaws.com/static.spotboye.com/placeholder_mobile.jpg" lazy-img='{{photos.thumbnail}}'
                                    style="max-width:100%" />
                                     <div class="photo_number">{{$index+1}}/{{article.media.length}}</div>
                                <h5 class="pd-md" style="font-size:16px;">{{photos.title}}</h5>
                            </li>
                        </ul>
                    </div>
                    


                </div>

                <!--first ad bcz photos article -->
                <google-ads class="matchedAdHeight" id='ads_photo_article_BTF_{{_r}}' type="AP_300x250_BTF"></google-ads>

                <!-- <dfp-ad force-safe-frame ad-unit="/97172535/HP_RANDOMBANNER1_300X250">
                    <dfp-size width="300" height="250"></dfp-size>
                </dfp-ad> -->
                <!--- PHOTO ARTICLE STARTS-->
                <!--- PHOTO ARTICLE ENDS-->
                <div class="show_all_accordian">
                    <h3 class="show_all_accordian_heading">COMMENTS</h3>
                    <fb-comments href="{{article.shareURL|locale:localeURL}}"></fb-comments>
                </div>
                <div class="show_all_accordian" ng-if="article.celebritytags.length" style="float: left;margin-bottom: 20px;">
                    <h3 class="show_all_accordian_heading">Celebrities</h3>
                    <div class="show_all_accordian_collapse celebrity_panel">
                        <ul>
                            <li ng-repeat="item in article.celebritytags">
                                <a href="{{localeURL}}/celebrity/{{item.name|slug}}">
                                    <div class="celeb_profile img-circle" lazy-img='{{item.thumbnail}}' ng-style="{'background-image':'url(https://s3-ap-southeast-1.amazonaws.com/static.spotboye.com/placeholder_mobile.jpg)'}">
                                    </div>
                                    <span>{{item.name}}</span>
                                </a>
                            </li>
                        </ul>
                    </div>
                    <div ng-if="article.celebritytags.length>3" ng-init="showExpand=true" onclick="expandShowAll(this);">
                        <div class="show_all_expand" ng-show="showExpand">
                            <span>MORE</span>
                        </div>
                        <div class="show_all_expand" ng-show="!showExpand">
                            <span>LESS</span>
                        </div>
                    </div>
                </div>
                <div class="show_all_accordian" ng-if="article.tags.length>0">
                    <h3 class="show_all_accordian_heading">Tags</h3>
                    <div class="show_all_accordian_collapse tags_panel">
                        <ul>
                            <li ng-repeat="tag in article.tags">
                                <a href="{{localeURL}}/search/{{tag}}">{{tag}}</a>
                            </li>
                        </ul>
                    </div>
                    <div ng-if="article.tags.length>3" ng-init="showExpand=true" onclick="expandShowAll(this);" ng-click="showExpand=!showExpand">
                        <div class="show_all_expand" ng-show="showExpand">
                            <span>MORE</span>
                        </div>
                        <div class="show_all_expand" ng-show="!showExpand">
                            <span>LESS</span>
                        </div>
                    </div>
                </div>



            </div>
            <div class="alignCenter" style="height:100px;">
                <google-ads id='ads_LB_article_{{_r}}' type="AP_320x100_ATF"></google-ads>

                <!-- <dfp-ad class="matchedAdHeight" force-safe-frame ad-unit="/97172535/SECTION3_728X90">
                    <dfp-size width="320" height="50"></dfp-size>
                </dfp-ad> -->

            </div>
            <div class="row related_news sp_story">
                    <h3>Spotboye Stories</h3>
                   <div class="spotboye_stories" ng-init="_random()">
                       <div class="apester-media" id="apester-{{_r}}" data-media-id="5b62f2aac299f782941287ea" height="512"></div>
                   </div>
                   </div>
            <div class="row related_news" ng-if="article.related.length">
                <h3>Related News</h3>
                <articles content="article.related" list-type="true"> </articles>
                <script>
                        if(typeof colombia == 'undefined')
            {
                var colombia = colombia || {};
                colombia.fns = colombia.fns || [];
                (function() {
                      var cads = document.createElement("script");
                      cads.async = true;
                      cads.type = "text/javascript";
                      cads.src = "//static.clmbtech.com/ctn/commons/js/colombia_v2.js";
                      var node = document.getElementsByTagName("script")[0];
                      node.parentNode.insertBefore(cads, node);
                })();
            }</script>
            <div id="div-clmb-ctn-211038-1" style="float:left;min-height:2px;width:100%;" data-slot="211038" data-position="1" data-section="0" data-ua="d" class="colombia"></div>
    
            </div>

            <!-- <dfp-ad class="matchedAdHeight" force-safe-frame ad-unit="/97172535/MOBILE_ARICLE_2_320X250">
                <dfp-size width="300" height="250"></dfp-size>
            </dfp-ad> -->

            <google-ads class="matchedAdHeight" id='ads_photo_article_BTF2_{{_r}}' type="AP_300x250_BTF2"></google-ads>

        </div>
    </div>
</div>


<!-- -------------------------------------------------------------------------------------------------- -->
<!-- ----------------------------------------- CONTEST/POLL ONLY ARTICLE BELOW ------------------------ -->
<!-- -------------------------------------------------------------------------------------------------- -->



<poll page-type="article" ng-if="article.type=='Contest'||article.type=='Poll'" content="article"></poll>


<div class="article_footer active" id="next_article_footer" style="background:{{ui.accent_color}}" ng-if="article.type!=='Photo'">
    <div class="share_box_inside">
        <a href="whatsapp://send?text={{article.title|urlEncode}}%20{{article.shareURL|locale:localeURL}}" data-action="share/whatsapp/share"
            class="whatsapp">
            <i class="fa fa-whatsapp" aria-hidden="true"></i>
        </a>
        <a ng-click='Share.fb(article.shareURL)' class="facebook">
            <i class="fa fa-facebook" aria-hidden="true"></i>
        </a>
        <a target="_blank" href="https://twitter.com/intent/tweet?text=Check%20this%20article%20{{article.shareURL|locale:localeURL}}"
            class="twitter">
            <i class="fa fa-twitter" aria-hidden="true"></i>
        </a>
        <span ng-click='Social.fb.comment(article.shareURL)'>
            <i class="fa fa-comment-o" aria-hidden="true"></i>
        </span>
    </div>
    <!-- <a class="footerSliderNext" ng-click="articleSlickConfig.method.slickNext()">Next Article
        <i class="fa fa-chevron-right" aria-hidden="true"></i>
    </a> -->
    <div class="nextArticleSlider">
        <p class="nextArticleSliderHeader">Trending on Spotboye</p>
        <ul class="nextArticleSliderUl">
            <li class="nextArticleSliderLi articles_snapshot" ng-repeat="trending in article.trending|limitTo:2">
                <a href="{{localeURL}}/{{trending.mainSection.parentSlug}}/{{trending.mainSection.slug}}/{{trending.slug}}/{{trending._id}}">
                    <div class="article_small_img pull-left" style="border-radius: 0px; min-height: 225px; background-image: url('https://s3-ap-southeast-1.amazonaws.com/static.spotboye.com/placeholder_mobile.jpg');"
                        lazy-img="{{trending.thumbnail}}"></div>
                    <span class="ng-binding text-white">{{trending.title}}</span>
                    <div class="clearfix"></div>
                </a>
            </li>
        </ul>

    </div>
</div>
<div id="epmads-901c7f9e3a62cbb57a98af9a519e670d"></div>
<script>
    var didScroll;
    var lastScrollTop = 0;
    var delta = 100;
    var navbarHeight = $('.nextArticleSlider').outerHeight();

    // $(window).scroll(function (event) {
    //     didScroll = true;
    // });
    //
    // setInterval(function () {
    //     if (didScroll) {
    //         hasScrolled();
    //         didScroll = false;
    //     }
    // }, 250);

    function hasScrolled() {
        var st = $(window).scrollTop();

        // Make sure they scroll more than delta
        if (Math.abs(lastScrollTop - st) <= delta)
            return;

        // If they scrolled down and are past the navbar, add class .nav-up.
        // This is necessary so you never see what is "behind" the navbar.
        if (st > lastScrollTop && st > navbarHeight) {
            // Scroll Up

            $('.nextArticleSlider').removeClass('nav-up').addClass('nav-down');

        } else {
            // Scroll Down
            if (st + $(window).height() < $(document).height()) {
                console.log(st + $(window).height() < $(document).height())
                $('.nextArticleSlider').removeClass('nav-down').addClass('nav-up');
            }
        }
        lastScrollTop = st;
    }
</script>
<div>
    <google-ads id="mcanvas_{{_r}}" type="mcanvas"></google-ads>
</div>